Foxit PDF SDK

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
FSDK.BorderInfo Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| constructor (width, style, intensity, dash_phase, dashes)
| Constructor, with parameters. More...
| Set (width, style, intensity, dash_phase, dashes)
| Set value. More...

## Public Attributes
| cloud_intensity
| Intensity of the cloudy effect. More...
| dash_phase
| Dash phase. More...
| dashes
| A dash array that represents the dash patterns. More...
| style
| Border style. Please refer to values starting from FSDK.BorderInfo.e_Solid and this should be one of these values. Please also check comment of these values for more details.
| width
| Border width, in points. More...

## Static Public Attributes
static | e_Beveled
| Border style: Beveled. More...
static | e_Cloudy
| Border style: Cloudy. More...
static | e_Dashed
| Border style: Dashed. More...
static | e_Inset
| Border style: Inset. More...
static | e_Solid
| Enumeration for PDF annotation border style. More...
static | e_UnderLine
| Border style: Underline. More...

## Detailed Description

This class represents annotation border information.

## Member Function Documentation

## ◆ constructor()

FSDK.BorderInfo.constructor | ( | width | ,
|  | style | ,
|  | intensity | ,
|  | dash_phase | ,
|  | dashes |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | width | Border width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
  [in] | style | Border style. Please refer to values starting from FSDK.BorderInfo.e_Solid and this should be one of these values.
  [in] | intensity | Intensity of the cloudy effect. Only useful when parameter style is FSDK.BorderInfo.e_Cloudy. Valid value range: 0 to 2. 0 means no cloudy border effect. If the value is below 0, it will have the same effect as value 0. If the value is above 2, it will have the same effect as value 2.
  [in] | dash_phase | Dash phase. Only useful when parameter style is FSDK.BorderInfo.e_Dashed.
  [in] | dashes | A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is FSDK.BorderInfo.e_Dashed.

## ◆ Set()

FSDK.BorderInfo.Set | ( | width | ,
|  | style | ,
|  | intensity | ,
|  | dash_phase | ,
|  | dashes |
| ) |  |

Set value.

Parameters

  [in] | width | Border width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
  [in] | style | Border style. Please refer to values starting from FSDK.BorderInfo.e_Solid and this should be one of these values.
  [in] | intensity | Intensity of the cloudy effect. Only useful when parameter style is FSDK.BorderInfo.e_Cloudy. Valid value range: 0 to 2. 0 means no cloudy border effect. If the value is below 0, it will have the same effect as value 0. If the value is above 2, it will have the same effect as value 2.
  [in] | dash_phase | Dash phase. Only useful when parameter style is FSDK.BorderInfo.e_Dashed.
  [in] | dashes | A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is FSDK.BorderInfo.e_Dashed.

Returns
  None.

## Member Data Documentation

## ◆ cloud_intensity

FSDK.BorderInfo.cloud_intensity

Intensity of the cloudy effect.

This is only useful to free text, square, circle, and polygon annotations when style of current object is FSDK.BorderInfo.e_Cloudy.
Suggested value range: 0 to 2. 0 means no cloudy border effect.
For rest value, their effect would be:

- If the value is below 0, it will have the same effect as value 0.
- If the value is above 2, it will have the same effect as value 2.

## ◆ dash_phase

FSDK.BorderInfo.dash_phase

Dash phase.

Only useful when style of current object is FSDK.BorderInfo.e_Dashed.

## ◆ dashes

FSDK.BorderInfo.dashes

A dash array that represents the dash patterns.

Only useful when style of current object is FSDK.BorderInfo.e_Dashed.
The value of elements in this array should not be negative.

## ◆ e_Beveled

FSDK.BorderInfo.e_Beveled
| static

Border style: Beveled.

Currently, Foxit PDF SDK does not support the annotation appearance of this border style. If this is set to any annotation, Foxit PDF SDK will change to set border style as FSDK.BorderInfo.e_Solid by default internally.

## ◆ e_Cloudy

FSDK.BorderInfo.e_Cloudy
| static

Border style: Cloudy.

This is only useful for free text, square, circle, and polygon annotations. If this is set to other type annotation, Foxit PDF SDK will change to set border style as FSDK.BorderInfo.e_Solid by default internally.

## ◆ e_Dashed

FSDK.BorderInfo.e_Dashed
| static

Border style: Dashed.

This is only useful for link, free text, line, square, circle, polygon, polyline and screen annotation. If this is set to other type annotation, Foxit PDF SDK will change to set border style as FSDK.BorderInfo.e_Solid by default internally.

## ◆ e_Inset

FSDK.BorderInfo.e_Inset
| static

Border style: Inset.

Currently, Foxit PDF SDK does not support the annotation appearance of this border style. If this is set to any annotation, Foxit PDF SDK will change to set border style as FSDK.BorderInfo.e_Solid by default internally.

## ◆ e_Solid

FSDK.BorderInfo.e_Solid
| static

Enumeration for PDF annotation border style.

Values of this enumeration should be used alone.

Border style: Solid

## ◆ e_UnderLine

FSDK.BorderInfo.e_UnderLine
| static

Border style: Underline.

This is only useful for link annotation. If this is set to other type annotation, Foxit PDF SDK will change to set border style as FSDK.BorderInfo.e_Solid by default internally.

## ◆ width

FSDK.BorderInfo.width

Border width, in points.

This value should not be negative. If this value is 0, no border will be drawn.